/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 400px;
    top: 0;
    width: ~"calc(100% - 400px)"; /* Full width */
    height: 100%; /* Full height */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.6); /* Black w/ opacity */
    overflow: auto;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

/* Modal Content/Box */
.modal-content {
    background: #373737;
    margin: 100px auto;
    padding: 20px;
    border: 1px solid #888;
    width: 100%;
    max-width: 900px;
    border-radius: 9px;

    form {
        margin: 50px auto;
        max-width: 650px;

        legend {
            display: inline-block;
            border-bottom: 2px solid #fff;
            padding: 0;
            font-size: 20px;
            color: #fff;
        }

        fieldset {
            border: 0;
            padding: 20px 0;

            p {
                position: relative;
                display: flex;
                min-height: 50px;

                label {
                    display: inline-block;
                    width: 100%;
                    max-width: 200px;
                    color: #fff;
                }

                input {
                    display: inline-block;
                    padding: 5px 20px;
                    border: 1px solid #373737;
                    border-radius: 5px;
                }

                &.action {
                    input {
                        max-width: 200px;
                        cursor: pointer;
                        margin: 0 auto;
                        .tr;

                        &:hover, &:focus {
                            background: #919191;
                            color: #fff;
                        }
                    }
                }
            }
        }
    }
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}